From 7dc30f0956b4ab1972db03a3338d9764ede318b3 Mon Sep 17 00:00:00 2001
From: Albert Graef <aggraef@gmail.com>
Date: Thu, 8 Mar 2018 10:23:47 +0100
Subject: [PATCH] Core package build (-c) was broken, fix it.

---
 l2ork_addons/tar_em_up.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/l2ork_addons/tar_em_up.sh b/l2ork_addons/tar_em_up.sh
index 3e6261a2a..d2916a102 100755
--- a/l2ork_addons/tar_em_up.sh
+++ b/l2ork_addons/tar_em_up.sh
@@ -211,7 +211,9 @@ then
 	echo "core Pd..."
 	rm -f ../Pd-l2ork-`date +%Y%m%d`.tar.bz2 2> /dev/null
 	cd pd/src/
-	make clean || true # this may fail on 1st attempt
+	# make sure that Pd is configured before trying to package it
+	test -f config.h || (aclocal && autoconf && make -C ../../packages pd)
+	make clean
 	cd ../../
 	tar -jcf ./Pd-l2ork-`date +%Y%m%d`.tar.bz2 pd
 fi
-- 
GitLab